<template>
  <div>
    <video v-if="nombreVideo && videoSrc" :src="videoSrc" controls></video>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  data() {
    return {
      videoSrc: '',
    }
  },

  props: {
    nombreVideo: {
      type: String
    }
  },

  methods: {
    async getVideo() {
      try {
        const url = 'http://localhost:3001/multimedia/fileSystem/video';
        const params = {
          fileName: this.nombreVideo
        };

        const response = await axios.get(url, {
          params,
          responseType: 'blob'
        });

        const videoUrl = window.URL.createObjectURL(new Blob([response.data]));
        this.videoSrc = videoUrl;
      } catch (error) {
        console.error(error);
      }
    },

    showVideo() {
      if (this.nombreVideo) {
        this.getVideo();
      }
    }
  },
  watch: {
    nombreVideo: {
      immediate: true,
      handler() {
        this.showVideo();
      }
    }
  }
}
</script>
